@media screen and (max-width: 1024px) {
    .menu .middle-menu .middle-menu-row ,
    .menu .bottom-menu .bottom-menu-row ,
    .banner .banner-row ,
    .warranty .warranty-row ,
    .category .category-row ,
    .product-carousel .product-carousel-row ,
    .footer .footer-header .footer-header-row ,
    .footer .footer-middle .footer-middle-row ,
    .footer .footer-bottom .footer-bottom-row ,
    .tp-blog-carousel .tp-blog-carousel-row ,
    .tp-page .tp-page-row {
        width: 96% !important;
    }
    .category .category-row .category-bottom .category-bottom-card .category-bottom-card-header img {
        width: 177px;
    }
    .first-advertisement {
        width: 96%;
        flex-direction: column;
        height: 506px;
    }
    .first-advertisement .first-advertisement-left {
        width: 100%;
    }
    .first-advertisement .first-advertisement-right {
        width: 100%;
        margin: 20px 0 0 0;
    }
    .first-advertisement .first-advertisement-right h2 {
        font-size: 32px;
        margin-bottom: 0;
    }
    .product-carousel .product-carousel-row .product-carousel-body .owl-nav button.owl-prev ,
    .tp-blog-carousel .tp-blog-carousel-row .tp-blog-carousel-body .owl-nav button.owl-prev {
        left: 0;
    }
    .product-carousel .product-carousel-row .product-carousel-body .owl-nav button.owl-next ,
    .tp-blog-carousel .tp-blog-carousel-row .tp-blog-carousel-body .owl-nav button.owl-next {
        right: 0;
    }
    .tp-blog-carousel .tp-blog-carousel-row .tp-blog-carousel-body .owl-nav {
        top: 29% !important;
    }
    .second-advertisement {
        width: 96%;
    }
    .second-advertisement .second-advertisement-desc {
        top: 27px;
    }

    .footer .footer-header .footer-header-row .footer-header-right input[type=text] {
        width: 291px;
    }
    #main {
        width: 96% !important;
    }
    #main .products .product img {
        height: 333px;
    }
    #main .tp-single-product-top .tp-single-product-top-gallery {
        width: 100%;
    }
    .tp-single-product-top {
        display: flex;
        flex-direction: column;
    }
    .tp-article-page .tp-article-page-row {
        width: 96% !important;
    }
    .tp-article-page .tp-article-page-row .tp-article-page-right {
        display: none;
    }
    .tp-article-page .tp-article-page-row .tp-article-page-left {
        width: 100% !important;
    }
    .tp-archive .tp-archive-row {
        width: 96% !important;
    }
    .tp-archive .tp-archive-row .tp-archive-body {
        grid-template-columns: repeat(2, 1fr) !important;
    }
    .tp-note {
        width: 96% !important;
    }
    #main .products {
        grid-template-columns: repeat(3, 1fr) !important;
    }
    #main .products .product img {
        height: auto !important;
    }
}

@media screen and (max-width: 768px) {
    .menu .top-menu ,
    .menu .middle-menu ,
    .menu .bottom-menu .bottom-menu-row .bottom-menu-left ul {
        display: none;
    }
    .banner {
        height: 76vh;
    }
    .banner h2 {
        width: 96%;
        font-size: 67px;
    }
    .warranty .warranty-row {
        gap: 10px;
    }
    .warranty .warranty-row .warranty-card h2 {
        font-size: 14px;
    }
    .category .category-row .category-bottom {
        grid-template-columns: repeat(2, 1fr);
    }
    .category .category-row .category-bottom .category-bottom-card .category-bottom-card-header img {
        width: 100%;
    }
    .product-carousel .product-carousel-row .product-carousel-header {
        flex-direction: column;
        align-items: start;
    }
    .product-carousel .product-carousel-row .product-carousel-header select {
        display: block;
        margin-top: 20px;
        width: 100%;
        border: none;
        box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.0509803922);
        border: 1px solid #e5e7eb;
        border-radius: 8px;
        padding: 13px 10px;
        font-family: 'Outline';
    }
    .product-carousel .product-carousel-row .product-carousel-header select option {
        font-family: 'Outline';
    }
    .product-carousel .product-carousel-row .product-carousel-header ul {
        display: none;
    }
    .product-carousel .product-carousel-row .product-carousel-body .product-carousel-card .product-carousel-card-header img {
        width: 100%;
    }
    .second-advertisement img {
        height: 233px;
    }
    .second-advertisement .second-advertisement-desc {
        top: 36px;
    }
    .footer .footer-header .footer-header-row {
        flex-direction: column;
        align-items: start;
    }
    .footer .footer-header .footer-header-row .footer-header-right {
        margin-top: 10px;
    }
    .footer .footer-middle .footer-middle-row ,
    .footer .footer-bottom .footer-bottom-row {
        grid-template-columns: repeat(2, 1fr);
    }
    .mobile-bottom-nav {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        height: auto;
        background: white;
        z-index: 2;
        border-radius: 12px 12px 0 0;
        border-top: 1px solid #f3f4f6;
        padding: 20px 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .mobile-bottom-nav .mobile-bottom-nav-item {
        text-align: center;
    }
    .mobile-bottom-nav .mobile-bottom-nav-item svg {
        width: 25px;
        height: 25px;
    }
    .mobile-bottom-nav .mobile-bottom-nav-item p {
        font-family: 'Outline';
        font-size: 12px;
        margin-top: 5px;
        color: #9CA3AF;
    }
    .tp-archive .tp-archive-row .tp-archive-body {
        grid-template-columns: repeat(1, 1fr) !important;
    }
    .tp-single-product-top .tp-single-product-top-gallery .tp-single-product-gallery-header img {
        width: 100% !important;
    }
    #main .products {
        grid-template-columns: repeat(2, 1fr) !important;
    }

}

@media screen and (max-width: 425px) {
    .banner {
        height: auto;
    }
    .tp-single-product-top .tp-single-product-top-gallery .tp-single-product-gallery-header img {
        width: 100%;
    }
    .tp-single-product-top .summary {
        margin-left: 0 !important;
    }
    .wc-tabs-wrapper .wc-tabs li a {
        font-size: 18px !important;
    }
    .wc-tabs-wrapper #tab-additional_information .shop_attributes tbody tr {
        width: 100% !important;
    }
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review {
        flex-direction: column !important;
    }
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review .tp-single-product-review-left ,
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review .tp-single-product-review-right {
        width: 100% !important;
    }
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review .tp-single-product-review-left .tp-single-product-review-left-rates .tp-single-product-review-left-rate {
        padding-right: 0px !important;
    }
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review .tp-single-product-review-left .tp-single-product-review-left-rates .tp-single-product-review-left-rate .tp-single-product-review-left-rate-field p {
        font-size: 9px !important;
    }
    .wc-tabs-wrapper #tab-reviews .tp-single-product-review .tp-single-product-review-left .tp-single-product-review-left-rates .tp-single-product-review-left-rate .tp-single-product-review-left-rate-field .tp-single-product-review-left-rate-stars {
        gap: 2px !important;
    }
    .banner p {
        width: 96%;
    }
    .warranty .warranty-row {
        grid-template-columns: repeat(2, 1fr);
    }
    .second-advertisement .second-advertisement-desc {
        left: 19px;
    }
    .second-advertisement .second-advertisement-desc h2 {
        font-size: 32px;
        width: 96%;
    }
    .second-advertisement .second-advertisement-desc span {
        line-height: 30px;
    }
    .footer .footer-header .footer-header-row .footer-header-left p {
        width: 96%;
    }
    #main .products {
        grid-template-columns: repeat(1, 1fr) !important;
    }
    .category .category-row .category-top p {
        display: none;
    }
}